Get Deposit Address
curl --request GET \
--url https://synthesis.trade/api/v1/wallet/{chain_id}/{wallet_id}/deposit/{chain} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://synthesis.trade/api/v1/wallet/{chain_id}/{wallet_id}/deposit/{chain}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://synthesis.trade/api/v1/wallet/{chain_id}/{wallet_id}/deposit/{chain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": [
{
"chain": "MATIC_POS",
"address": "0x0000000000000000000000000000000000000000",
"tokens": [
{
"token": "USDC",
"contract": "0x0000000000000000000000000000000000000000",
"min": 0.5,
"max": 10000000
},
{
"token": "USDT",
"contract": "0x0000000000000000000000000000000000000000",
"min": 0.5,
"max": 10000000
},
{
"token": "ETH",
"contract": "0x0000000000000000000000000000000000000000",
"min": 0.5,
"max": 10000000
}
]
},
{
"chain": "BASE",
"address": "0x0000000000000000000000000000000000000000",
"tokens": [
{
"token": "EURC",
"contract": "0x0000000000000000000000000000000000000000",
"min": 0.5,
"max": 10000000
},
{
"token": "USDC",
"contract": "0x0000000000000000000000000000000000000000",
"min": 0.5,
"max": 10000000
},
{
"token": "USDT",
"contract": "0x0000000000000000000000000000000000000000",
"min": 0.5,
"max": 10000000
},
{
"token": "ETH",
"contract": "0x0000000000000000000000000000000000000000",
"min": 0.5,
"max": 10000000
}
]
},
{
"chain": "TRON",
"address": "T9yD14Nj9j7xAB4dbGeiX9h8unkKHxuWwb",
"tokens": [
{
"token": "USDT",
"contract": "T9yD14Nj9j7xAB4dbGeiX9h8unkKHxuWwb",
"min": 5,
"max": 10000000
}
]
}
]
}Wallets
Get Deposit Address
Get a deposit address for a wallet and destination chain. Supported chain values are EVM, SOL, and TRON, but SOL is not allowed when chain_id is SOL. EVM returns addresses for Polygon, Arbitrum, Base, Binance, Ethereum, and Optimism. Supported deposit assets include USDC, USDT, ETH, and EURC where supported; EURC is supported on Base and Ethereum, ETH is supported on EVM chains, and TRON supports USDT only.
Get Deposit Address
Authorizations
AccountApiKeyAccountSession
Account secret API key.
Path Parameters
POL or SOL.
EVM, SOL, or TRON. EVM returns Polygon, Arbitrum, Base, Binance, Ethereum, and Optimism deposit routes.
Response
200 - application/json
Deposit address
⌘I